Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE15.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE15.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE15.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE15 ; ;06/27/07
+DVBHCE15 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  S A1B2TAG="PAT" D ^A1B2XFR
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE16.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE16.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE16.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE16 ; ;06/27/07
+DVBHCE16 ; ;12/27/07
  S X=DE(4),DIC=DIE
  S A1B2TAG="PAT" D ^A1B2XFR
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE17.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE17.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE17.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE17 ; ;06/27/07
+DVBHCE17 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  S A1B2TAG="PAT" D ^A1B2XFR
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE18.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE18.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE18.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE18 ; ;06/27/07
+DVBHCE18 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE19.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE19.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE19.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE19 ; ;06/27/07
+DVBHCE19 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  S A1B2TAG="PAT" D ^A1B2XFR
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE2.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE2.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE2.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE2 ; ;06/27/07
+DVBHCE2 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  D EVENT^IVMPLOG(DA)
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE20.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE20.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE20.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE20 ; ;06/27/07
+DVBHCE20 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -143,5 +143,5 @@
  S X=$G(X(1))
  Q
-C20F2 S DIXR=703 D C20X2(U) K X2 M X2=X D C20X2("O") K X1 M X1=X
+C20F2 S DIXR=685 D C20X2(U) K X2 M X2=X D C20X2("O") K X1 M X1=X
  D
  . D FC^DGFCPROT(.DA,2,.351,"KILL",$H,$G(DUZ),.X,.X1,.X2,$G(XQY0)) Q
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE21.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE21.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE21.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE21 ; ;06/27/07
+DVBHCE21 ; ;12/27/07
  S X=DE(20),DIC=DIE
  K DIV S DIV=X,D0=DA,DIV(0)=D0 S Y(1)=$S($D(^DPT(D0,0)):^(0),1:"") S X=$P(Y(1),U,10),X=X S DIU=X K Y X ^DD(2,.351,1,1,2.1) X ^DD(2,.351,1,1,2.4)
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE22.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE22.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE22.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE22 ; ;06/27/07
+DVBHCE22 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  K DIV S DIV=X,D0=DA,DIV(0)=D0 S Y(1)=$S($D(^DPT(D0,0)):^(0),1:"") S X=$P(Y(1),U,10),X=X S DIU=X K Y X ^DD(2,.351,1,1,1.1) X ^DD(2,.351,1,1,1.4)
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE23.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE23.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE23.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE23 ; ;06/27/07
+DVBHCE23 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -128,5 +128,5 @@
  S X=DG(DQ),DIC=DIE
  D EVENT^IVMPLOG(DA)
-C12F1 N X,X1,X2 S DIXR=627 D C12X1(U) K X2 M X2=X D C12X1("O") K X1 M X1=X
+C12F1 N X,X1,X2 S DIXR=646 D C12X1(U) K X2 M X2=X D C12X1("O") K X1 M X1=X
  D
  . D FC^DGFCPROT(.DA,2,.525,"KILL",$H,$G(DUZ),.X,.X1,.X2,$G(XQY0)) Q
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE24.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE24.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE24.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE24 ; ;06/27/07
+DVBHCE24 ; ;12/27/07
  S X=DE(19),DIC=DIE
  D KILL^DGREGDD(DA)
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE25.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE25.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE25.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE25 ; ;06/27/07
+DVBHCE25 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  D SET^DGREGDD(DA,X)
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE26.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE26.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE26.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE26 ; ;06/27/07
+DVBHCE26 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE27.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE27.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE27.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE27 ; ;06/27/07
+DVBHCE27 ; ;12/27/07
  S X=DE(26),DIC=DIE
  ;
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE28.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE28.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE28.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE28 ; ;06/27/07
+DVBHCE28 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  ;
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE29.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE29.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE29.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE29 ; ;06/27/07
+DVBHCE29 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE3.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE3.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE3.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE3 ; ;06/27/07
+DVBHCE3 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -89,5 +89,5 @@
  D EVENT^IVMPLOG(DA)
 C3F1 S DIEZRXR(2,DIIENS)=$$OREF^DILF($NA(@$$CREF^DILF(DIE)))
- F DIXR=641 S DIEZRXR(2,DIXR)=""
+ F DIXR=649 S DIEZRXR(2,DIXR)=""
  Q
 X3 S %DT="E",%DT(0)=-DT D ^%DT K %DT S X=Y K:Y<1 X I $D(X) S DFN=DA D SER1^DGLOCK I $D(X) K:'$$VALMSE^DGRPMS(DFN,X,0,"MSNTL") X I $D(X) S DGFRDT=X I $D(^DG(43,1)) S SD1=2 D POS^DGINP
@@ -104,5 +104,5 @@
  D EVENT^IVMPLOG(DA)
 C4F1 S DIEZRXR(2,DIIENS)=$$OREF^DILF($NA(@$$CREF^DILF(DIE)))
- F DIXR=641 S DIEZRXR(2,DIXR)=""
+ F DIXR=649 S DIEZRXR(2,DIXR)=""
  Q
 X4 S %DT="E",%DT(0)=-DT D ^%DT K %DT S X=Y K:Y<1 X I $D(X) S DFN=DA D SER1^DGLOCK I $D(X) K:'$$VALMSE^DGRPMS(DFN,X,1,"MSNTL") X I $D(X),$D(^DG(43,1)) S SD1=2 D PS^DGINP
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE30.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE30.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE30.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE30 ; ;06/27/07
+DVBHCE30 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(D0,.372,",DIC=DIE,DP=2.04,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^DPT(D0,.372,DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE31.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE31.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE31.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE31 ; ;06/27/07
+DVBHCE31 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE32.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE32.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE32.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE32 ; ;06/27/07
+DVBHCE32 ; ;12/27/07
  ;;
 1 N X,X1,X2 S DIXR=303 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
@@ -20,5 +20,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=640 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=648 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"LAST")
@@ -31,5 +31,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=641 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=649 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NTL")
@@ -42,5 +42,5 @@
  S X=$G(X(1))
  Q
-4 N X,X1,X2 S DIXR=642 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
+4 N X,X1,X2 S DIXR=663 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NNTL")
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE33.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE33.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE33.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE33 ; ;09/23/06
+DVBHCE33 ; ;10/08/06
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE34.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE34.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE34.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE34 ; ;09/23/06
+DVBHCE34 ; ;10/08/06
  ;;
 1 N X,X1,X2 S DIXR=303 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
@@ -20,5 +20,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=640 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=648 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"LAST")
@@ -31,5 +31,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=641 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=649 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NTL")
@@ -42,5 +42,5 @@
  S X=$G(X(1))
  Q
-4 N X,X1,X2 S DIXR=642 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
+4 N X,X1,X2 S DIXR=663 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NNTL")
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE35.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE35.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE35.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE35 ; ;04/10/06
+DVBHCE35 ; ;04/21/06
  ;;
 1 N X,X1,X2 S DIXR=303 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
@@ -20,5 +20,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=640 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=648 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"LAST")
@@ -31,5 +31,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=641 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=649 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NTL")
@@ -42,5 +42,5 @@
  S X=$G(X(1))
  Q
-4 N X,X1,X2 S DIXR=642 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
+4 N X,X1,X2 S DIXR=663 D X4(U) K X2 M X2=X D X4("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NNTL")
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE36.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE36.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE36.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE36 ; ;04/10/06
+DVBHCE36 ; ;04/21/06
  ;;
 1 N X,X1,X2 S DIXR=303 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
@@ -20,5 +20,5 @@
  S X=$G(X(1))
  Q
-2 N X,X1,X2 S DIXR=640 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
+2 N X,X1,X2 S DIXR=648 D X2(U) K X2 M X2=X D X2("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"LAST")
@@ -31,5 +31,5 @@
  S X=$G(X(1))
  Q
-3 N X,X1,X2 S DIXR=641 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
+3 N X,X1,X2 S DIXR=649 D X3(U) K X2 M X2=X D X3("F") K X1 M X1=X
  D
  . D KSERV^DGSRVICE(.X,.DA,"NTL")
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE4.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE4.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE4.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE4 ; ;06/27/07
+DVBHCE4 ; ;12/27/07
  S X=DE(13),DIC=DIE
  ;
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE5.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE5.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE5.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE5 ; ;06/27/07
+DVBHCE5 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  X "I X'=""Y"" S DGXRF=.32945 D ^DGDDC Q"
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE6.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE6.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE6.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE6 ; ;06/27/07
+DVBHCE6 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -60,5 +60,5 @@
  D EVENT^IVMPLOG(DA)
 C1F1 S DIEZRXR(2,DIIENS)=$$OREF^DILF($NA(@$$CREF^DILF(DIE)))
- F DIXR=642 S DIEZRXR(2,DIXR)=""
+ F DIXR=663 S DIEZRXR(2,DIXR)=""
  Q
 X1 S %DT="E",%DT(0)=-DT D ^%DT K %DT S X=Y K:Y<1 X I $D(X) S DFN=DA D SER2^DGLOCK I $D(X) K:'$$VALMSE^DGRPMS(DFN,X,0,"MSNNTL") X I $D(X) S DGFRDT=X I $D(^DG(43,1)) S SD1=3 D POS^DGINP
@@ -75,5 +75,5 @@
  D EVENT^IVMPLOG(DA)
 C2F1 S DIEZRXR(2,DIIENS)=$$OREF^DILF($NA(@$$CREF^DILF(DIE)))
- F DIXR=642 S DIEZRXR(2,DIXR)=""
+ F DIXR=663 S DIEZRXR(2,DIXR)=""
  Q
 X2 S %DT="E",%DT(0)=-DT D ^%DT K %DT S X=Y K:Y<1 X I $D(X) S DFN=DA D SER2^DGLOCK I $D(X) K:'$$VALMSE^DGRPMS(DFN,X,1,"MSNNTL") X I $D(X),$D(^DG(43,1)) S SD1=3 D PS^DGINP
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE7.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE7.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE7.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE7 ; ;06/27/07
+DVBHCE7 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(",DIC=DIE,DP=2,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^DPT(DA,""))=""
@@ -149,5 +149,5 @@
  I ($T(AVAFC^VAFCDD01)'="") S VAFCF="391;" D AVAFC^VAFCDD01(DA)
  I $D(DE(11))'[0!(^DD(DP,DIFLD,"AUDIT")'="e") S X=DG(DQ),DIIX=3_U_DIFLD D AUDIT^DIET
-C11F1 N X,X1,X2 S DIXR=643 D C11X1(U) K X2 M X2=X D C11X1("O") K X1 M X1=X
+C11F1 N X,X1,X2 S DIXR=664 D C11X1(U) K X2 M X2=X D C11X1("O") K X1 M X1=X
  I $G(X(1))]"" D
  . K ^DPT("APTYPE",X,DA)
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE8.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE8.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE8.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE8 ; ;06/27/07
+DVBHCE8 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^DPT(D0,""E"",",DIC=DIE,DP=2.0361,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^DPT(D0,"E",DA,""))=""
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE9.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE9.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCE9.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCE9 ; ;06/27/07
+DVBHCE9 ; ;12/27/07
  S X=DG(DQ),DIC=DIE
  S DFN=DA D EN^DGMTCOR K DGMTCOR
Index: FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCG.m
===================================================================
--- FOIAVistA/trunk/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCG.m	(revision 631)
+++ FOIAVistA/tag/r/HINQ-DVB--DVBA--DVBE--DVBC/DVBHCG.m	(revision 636)
@@ -1,3 +1,3 @@
-DVBHCG ; GENERATED FROM 'DVBHINQ PAT-HINQ COMP' PRINT TEMPLATE (#513) ; 01/12/06 ; (FILE 2, MARGIN=80)
+DVBHCG ; GENERATED FROM 'DVBHINQ PAT-HINQ COMP' PRINT TEMPLATE (#513) ; 04/03/06 ; (FILE 2, MARGIN=80)
  G BEGIN
 N W !
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCFACPS.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCFACPS.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCFACPS.m	(revision 636)
@@ -1,8 +1,8 @@
 PRCFACPS ;WISC@ALTOONA/CTB/DL-PURGE CODE SHEET CONTINUATION ;1/29/98 1300
-V ;;5.1;IFCAP;**114**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
 DQ ;;PURGE CODE SHEETS AND TRANSMISSION RECORDS
  D:$D(ZTQUEUED) KILL^%ZTLOAD
- S PRCFNAME=$S(PRCFASYS["CLMCLIRRLOG":"FEE/FEN, Receiving Reports & LOG",PRCFASYS["CLM":"FEE/FEN",PRCFASYS["ISM":"ISM",PRCFASYS["IRS":"IRS",1:"LOG")
+ S PRCFNAME=$S(PRCFASYS["CLM":"FEE/FEN",PRCFASYS["ISM":"ISM",PRCFASYS["IRS":"IRS",1:"LOG")
  L +^PRCF(423,0):5 I '$T S X="Code Sheet file unavailable - File lock timeout.*" D MSG^PRCFQ Q
  W:$D(IOF) @IOF W PRCFNAME_" CODE SHEET & TRANSMISSION RECORD DELETION TRANSCRIPT" D NOW^PRCFQ W ?IOM-$L(%X),%X
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCFALOG.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCFALOG.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCFALOG.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCFALOG ;WISC/CTB-LOG CODE SHEETS ;11-27-92/08:20
-V ;;5.1;IFCAP;**114**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
 A S PRCHLOG="",PRCFASYS="LOGDLA" Q
 B K PRCHLOG,PRCFASYS Q
@@ -24,9 +24,4 @@
 PURGE ;PURGE CODE SHEETS
  D A S PRCFASYS=PRCFASYS_"PHA" D EN^PRCFACPR,B Q
-PURGE2 ;PURGE ALL CODE SHEETS
- W !!,"** YOU MUST SELECT A DESIGNATED PRINTER FOR PURGE TO FUNCTION PROPERLY."
- W !,"** DEFAULTING TO HOME DEVICE (0) WILL NOT PURGE DATA SINCE THE OPTION WILL BE "
- W !,"** TASKED.",!
- S PRCFASYS="CLMCLIRRLOGDLAPHAGSA" D EN^PRCFACPR,B Q
 ADD ;ADD CODE SHEET TO PRINTED BATCH
  D A,ADD^PRCFACR2,B Q
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHEF.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHEF.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHEF.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCHEF ;ID/RSD,SF-ISC/TKW-EDIT ROUTINES FOR SUPPLY SYSTEM ;6/10/97 9:34
-V ;;5.1;IFCAP;**107**;Oct 20, 2000;Build 13
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
 EN80 ;DELETE A RECEIVING REPORT (CONT.FROM PRCHE)
@@ -7,5 +7,5 @@
  I $P($G(^PRC(442,PRCHPO,23)),U,11)="S"!($P($G(^(23)),U,11)="P") W !!,?5,"Please create an adjustment voucher to delete",!,?5,"receiving reports for purchase card orders.",! G EN80
  I $P($G(^PRC(442,PRCHPO,23)),U,11)="D" W !!,?5,"Please create an adjustment voucher to delete",!,?5,"receiving reports for delivery orders.",! G EN80
- I X<25!(X>33) W $C(7)," Receiving Report cannot be deleted, please create an adjustment voucher." G EN80
+ I X<25!(X>33) W $C(7)," ??" G EN80
  I '$O(^PRC(442,PRCHPO,11,0)) W !?3,"Order has no Receiving Reports !",$C(7) G EN80
  D LCK1^PRCHE G:'$D(DA) EN80 S:$P(^PRC(442,PRCHPO,0),U,2)=8 PRCHNRQ=1
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHMA.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHMA.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHMA.m	(revision 636)
@@ -1,18 +1,31 @@
 PRCHMA ;WISC/AKS-Amend to PO, req ;6/10/96  14:07
- ;;5.1;IFCAP;**21,79,100,113**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
-REQ N PRCHREQ
+ ;;5.1;IFCAP;**21,79,100**;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
+REQ ;Req.
+ N PRCHREQ
  S PRCHREQ=1
-PO N PRCF,RETURN,PRCHAM,PRCHPO,PRCHNEW,OUT,CAN,PRCHAU,PRCHER,PRCHON,A,B,ER,FL,FIS,DELIVER,PRCHAMDA,PRCHAV,PRCHL1,PRCHLN,PRCHRET,LCNT
- N PRCHL2,ROU,DIC,I,PRCHAMT,PRCHAREC,PRCHEDI,X,Y,PRCHN,PRCHO,SFUND,PRCHX,PRCHIMP,PRCHNRQ,PRCHP,REPO,PRCHNORE,%,%A,%B,D0,D1,J
+PO ;PO
+ N PRCF,RETURN,PRCHAM,PRCHPO,PRCHNEW,OUT,CAN,PRCHAU,PRCHER,PRCHON
+ N A,B,ER,FL,FIS,DELIVER,PRCHAMDA,PRCHAV,PRCHL1,PRCHLN,PRCHRET,LCNT
+ N PRCHL2,ROU,DIC,I,PRCHAMT,PRCHAREC,PRCHEDI,X,Y,PRCHN,PRCHO,SFUND
+ N PRCHX,PRCHIMP,PRCHNRQ,PRCHP,REPO,PRCHNORE,%,%A,%B,D0,D1,J
  N PRCFL,MSG
 LOOP D KILL^PRCHMA1 S PRCHNEW="",PRCHNORE=1,CAN=0
- ; See routine PRCHAMXA for information on variable PRCHNORE and undefined DIK, var PRCHPO is the basic premise of locks applied to amendments
+ ;
+ ; See routine PRCHAMXA for information on variable PRCHNORE and for
+ ; incidence of undefined DIK variable errors.
+ ; The var PRCHPO is the basic premise of locks applied to amendments.
+ ; Anytime amend module is accessed add +lock & save po# in PRCENTRY.
+ ;
  S PRCF("X")="S" D ^PRCFSITE Q:'$D(PRC("SITE"))
- ; Lock simultaneous entry of users in amend. module for the same record.  Var Y is saved in PRCHPO at the end of GETPO subrtn, when we start
+ ;
+ ; Lock simultaneous entry of users in amend. module for the same record.
+ ; Var Y is saved in PRCHPO at the end of GETPO subrtn, when we start
  ; the process(AMENDNO) of amending the record we must have var PRCHPO.
+ ;
  S PRCFL=0
  W !! D GETPO^PRCHAMU
- ; If no record is selected or time-out or up-arrow out then exit without unlocking a record.
+ ; If no record is selected or time-out or up-arrow out then exit
+ ; without unlocking a record.
  I $D(DTOUT)!$D(DUOUT)!$G(OUT)=1 G EXIT1
  I PRCFL=1 G LOOP
@@ -33,21 +46,10 @@
  . I $G(PRCHAMDA)=31 D MSG^PRCHAMU Q
  . I $G(PRCHAMDA)=24,$G(X)=2 D MSG1^PRCHAMU S SCE=1 Q
+ ;
  I $P(^PRC(443.6,PRCHPO,6,PRCHAM,0),U,4)=5!($P(^(0),U,4)=15) S CAN=1
  I $D(DTOUT)!($D(DUOUT)) G EXIT
  I $G(NOCAN)=1 G ASK
  G:$P($G(^PRC(443.6,PRCHPO,6,PRCHAM,3,0)),U,4)'>1 EXIT
-CAN1 S BFLAG=0
- S:$P($G(^PRC(443.6,PRCHPO,1)),U,7)'=6 BFLAG=1
- I $P($G(^PRC(443.6,PRCHPO,1)),U,7)=6  D
- .S THISHLD=0
- .F  S THISHLD=$O(^PRC(443.6,PRCHPO,2,THISHLD)) Q:'THISHLD!(BFLAG=1)  D
- ..S:$P($G(^PRC(443.6,PRCHPO,2,THISHLD,2)),U,2)'="" BFLAG=1
- .Q:BFLAG=1
- .S THISHLD=0
- .F  S THISHLD=$O(^PRC(442,PRCHPO,2,THISHLD)) Q:'THISHLD!(BFLAG=1)  D
- ..S:$P($G(^PRC(442,PRCHPO,2,THISHLD,2)),U,2)'="" BFLAG=1
- W:BFLAG=0 !,"This is now a contract order.  You must add a contract to this orders item(s)",!,"before approving the amendment.",!
- G:BFLAG=0 EXIT
- D:BFLAG=1 UPDATE^PRCHAMU G:$D(Y) EXIT
+CAN1 D UPDATE^PRCHAMU G:$D(Y) EXIT
 CHK I '$$VERIFY^PRCHES5(PRCHPO) W !!,?5,"This purchase order has been tampered with.",!,?5,"Please notify IFCAP APPLICATION COORDINATOR." G EXIT
  I $P($G(^PRC(443.6,PRCHPO,6,PRCHAM,1)),U,4)']"" W !!,?5,"There is no Amendment Status." D
@@ -66,5 +68,6 @@
  ...S J=0 S J=$O(^PRC(443.6,PRCHPO,2,PRCH,1,J)) I J'>0 D:LCNT>END TOP W !!,?5,"Line item ",+$P(PRCHLN,U)," is missing its description!",$C(7) S PRCHER="",LCNT=LCNT+2
  ...I $P($G(^PRC(442,PRCHPO,23)),U,11)="D",$P($G(^PRC(443.6,PRCHPO,2,PRCH,2)),U,2)="" D:LCNT>END TOP W !!,?5,"Line item ",+$P(PRCHLN,U)," is missing contract number.",$C(7) S PRCHER="",LCNT=LCNT+2
- ...; PRC*5.1*79 - Check line items of PC orders with source code=6 to make sure that a contract number is entered
+ ...; PRC*5.1*79 - Check line items of PC orders with source code=6 to
+ ...; make sure that a contract number is entered
  ...D PCD^PRCHMA1
  ...Q
@@ -72,8 +75,13 @@
  .I $D(PRCHER) I LCNT>END N DIR S DIR(0)="E" D ^DIR S LCNT=1
  .Q
+ ;PRC*5.1*100: check line items without an FSC or PSC
  D EN106^PRCHNPO7 I $G(ERROR)=1 G EXIT
  I $P($G(^PRC(443.6,PRCHPO,0)),U,13)>0 I $P($G(^PRC(443.6,PRCHPO,23)),U)="" W !!,?5,"This amendment has Est. Shipping and/or Handling charges without any",!,?5,"Est. Shipping BOC." S PRCHER=""
  I $P($G(^PRC(443.6,PRCHPO,6,PRCHAM,0)),U,4)=5!($P($G(^(0)),U,4)=15) S CAN=1
  I $G(CAN)'=1 D CHECK^PRCHAMDF(PRCHPO,PRCHAM,.PRCHER)
+ ; 
+ ; Change below to allow checks for monthly limits in file #440.5 before
+ ; completion of the amendment.
+ ;
  I $G(PRCHAUTH)=1!($P($G(^PRC(443.6,PRCHPO,0)),U,2)=25) S FILE=443.6 D  I $G(ERROR) S PRCHER="" K ERROR,FILE
  .D ^PRCHSF3
@@ -107,7 +115,11 @@
  .D REMOVE^PRCSC2(PP410),ENCODE^PRCSC2(PP410,DUZ,.MESSAGE) K MESSAGE
  .I '$G(PRCPROST) W !?3,"SEND TO SUPPLY " S PRCHQ="^PRCHPAM",D0=PRCHPO,D1=PRCHAM D ^PRCHQUE
- .; Update file #440.5 after amendment has been approved. Consider orders created and amended in the same month and year and the user either
- .; cancels the order or enters other type of amendment that changes the final amount of the order. No credit is given for orders from a
+ .;
+ .; Update file #440.5 after amendment has been approved. Consider orders
+ .; created and amended in the same month and year and the user either
+ .; cancels the order or enters other type of amendment that changes the
+ .; final amount of the order. No credit is given for orders from a
  .; previous month and year. DT is the current date, system-supplied.
+ .;
  .S PRCHCD=$P($G(^PRC(442,PRCHPO,23)),U,8)
  .S PRCNODE=$G(^PRC(442,PRCHPO,6,0)),PRCAMD=$P(PRCNODE,U,3)
@@ -132,7 +144,10 @@
  S SFUND="" I $P($G(^PRC(443.6,PRCHPO,0)),U,19)=2 D SUPP^PRCFFM2M S SFUND=1
  I SFUND=1 W !?3,"SEND TO SUPPLY " S PRCHQ="^PRCHPAM",D0=PRCHPO,D1=PRCHAM D ^PRCHQUE
+ ;
  D SOURCE^PRCHAMU:$G(SCE)
  G EXIT
-ENC S ER=0
+ ;
+ENC ;Can
+ S ER=0
  D CAN^PRCHMA3
  I $G(NOCAN)=1 W !?5,$S($D(PRCHREQ):"REQUISITION",1:"PURCHASE ORDER")_" HAS BEEN RECEIVED, CANNOT CANCEL !",$C(7) S ER=1 Q
@@ -149,18 +164,24 @@
  S PRCHAMT=-$P(^PRC(443.6,PRCHPO,0),U,15) W !
  QUIT
-APP S %A="   Approve Amendment number "_PRCHAM_": ",%B="",%=$S($G(PRCPROST):1,1:2) D ^PRCFYN
+APP ;App,pr
+ S %A="   Approve Amendment number "_PRCHAM_": ",%B="",%=$S($G(PRCPROST):1,1:2) D ^PRCFYN
  Q
-REV N PRCH
+REV ;Rev
+ N PRCH
  S %=1,%B="",%A="   Review Amendment " D ^PRCHSF3 W ! D ^PRCFYN
  I %=1 S D0=PRCHPO,D1=PRCHAM,PRCH="^PRC(443.6," D ^PRCHDAM
  Q
-EXIT L -^PRC(442,PRCENTRY)
+EXIT ;Ex
+ L -^PRC(442,PRCENTRY)
 EXIT1 K ERROR,FIS,REPO,DEL
  QUIT:$G(PRCPROST)
  I $G(OUT)'=1 G LOOP
  QUIT
-FLAG I $G(FLAG)=1 K FLAG Q
+ ;
+FLAG ;
+ I $G(FLAG)=1 K FLAG Q
  Q
-NOSIGN S $P(^PRC(443.6,PRCHPO,6,PRCHAM,0),U,4)=PRCHAU
+NOSIGN ;
+ S $P(^PRC(443.6,PRCHPO,6,PRCHAM,0),U,4)=PRCHAU
 NOSIGN1 S DA(1)=PRCHPO,DIE="^PRC(443.6,"_DA(1)_",6,",DA=PRCHAM,DR="9///@"
  D ^DIE K DIE,DA,DR
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO3.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO3.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO3.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCHNPO3 ;WISC/RSD/RHD/SC-CONT. OF NEW PO ; 4/23/99 1:39pm
-V ;;5.1;IFCAP;*112*;Oct 20, 2000;Build 2
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
  S PRCHSZ=1
@@ -35,12 +35,8 @@
  D SPRMK^PRCHNPO6
  ;
-N Q:'PRCHSZ  K ^TMP($J,"PRCHS"),PRCHSIT S J=0,K=1,PRCHSIT(K)="" G:$D(PRCHPOST) 1
- W !?3,"Line Items: " R PRCHX:DTIME G Q:PRCHX["^"!(PRCHX=""),HLP:$E(PRCHX)="?",1:"Aa"[$E(PRCHX)
- F  Q:'$F(PRCHX,",,")  S PRCHX=$P(PRCHX,",,",1)_","_$P(PRCHX,",,",2,99) ; *112 remove consecutive commas
- S:$E(PRCHX)="," PRCHX=$E(PRCHX,2,$L(PRCHX)) ; *112 remove leading comma
- S:$E(PRCHX,$L(PRCHX))="," PRCHX=$E(PRCHX,1,$L(PRCHX)-1) ; *112 remove trailing comma
+N Q:'PRCHSZ  K ^TMP($J,"PRCHS"),PRCHSIT S J=0,K=1,PRCHSIT(K)="" G:$D(PRCHPOST) 1 W !?3,"Line Items: " R PRCHX:DTIME G Q:PRCHX["^"!(PRCHX=""),HLP:$E(PRCHX)="?",1:"Aa"[$E(PRCHX)
  F I=1:1 S X=$P(PRCHX,",",I) Q:X=""  I +X'=X S X(1)=$P(X,":",1),X(2)=$P(X,":",2) K:+X(1)'=X(1)!(+X(2)'=X(2))!'(X(1)<X(2)) PRCHX Q:'$D(PRCHX)  S $P(PRCHX,",",I)=X(1)_":1:"_X(2)
  I '$D(PRCHX) W " ??",$C(7) G N
- X "F I="_PRCHX_" D IT Q:'$O(^TMP($J,""PRCHS"",0))" G:'$O(^TMP($J,"PRCHS",0)) N S ^(0)=J
+ S:$E(PRCHX,$L(PRCHX))="," PRCHX=$E(PRCHX,1,$L(PRCHX)-1) X "F I="_PRCHX_" D IT Q:'$O(^TMP($J,""PRCHS"",0))" G:'$O(^TMP($J,"PRCHS",0)) N S ^(0)=J
  ;
 3 G 2:J=+^PRCS(410,PRCHSY,10),Q:'$O(^TMP($J,"PRCHS",0)) W !,"A new 2237 will now be created with the following items: " F K=0:0 S K=$O(PRCHSIT(K)) Q:'K  W !?3,PRCHSIT(K)
@@ -89,5 +85,5 @@
  Q
  ;
-VENMSG ;message to alert users that vendors don't match and that IMF will
+VENMSG ;mesasge to alert users that vendors don't match and that IMF will
  ;be updated.
  W !!,"NOTE-Vendors on PO and 2237 don't match.  If you proceed IMF info"," will be used.  If there is no IMF entry for the item for this vendor one will ","be created."
Index: FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO5.m
===================================================================
--- FOIAVistA/trunk/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO5.m	(revision 631)
+++ FOIAVistA/tag/r/IFCAP-PRC-PRX--PRCA--PRCN/PRCHNPO5.m	(revision 636)
@@ -1,5 +1,5 @@
 PRCHNPO5 ;WISC/RSD,RHD/DL-INPUT TRANSFORM FOR FILE 440,441,442 ;9/5/00  10:59
-V ;;5.1;IFCAP;**113**;Oct 20, 2000;Build 4
- ;Per VHA Directive 2004-038, this routine should not be modified.
+V ;;5.1;IFCAP;;Oct 20, 2000
+ ;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
 EN1 ;FILE 442, FCP #1
@@ -17,5 +17,4 @@
  S PRC("APP")="",X=Z0,PRC("BBFY")=$$BBFY^PRCSUT(PRC("SITE"),PRC("FY"),+X) I PRC("BBFY")="" Q
  S PRC("APP")=$P($$ACC^PRC0C(PRC("SITE"),+X_"^"_PRC("FY")_"^"_PRC("BBFY")),U,11) K Z0,Z1
- I $P($G(^PRC(420,PRC("SITE"),1,+X,0)),U,19)=1 W !,"Sorry, this FCP is inactive!",! K X Q
  Q
  ;
